<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Mar 28 10:40:22 EDT 2016 -->
<TITLE>
WebdavConnection (JFtp)
</TITLE>

<META NAME="date" CONTENT="2016-03-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="WebdavConnection (JFtp)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../net/sf/jftp/net/wrappers/StartConnection.html" title="class in net.sf.jftp.net.wrappers"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?net/sf/jftp/net/wrappers/WebdavConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WebdavConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
net.sf.jftp.net.wrappers</FONT>
<BR>
Class WebdavConnection</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>net.sf.jftp.net.wrappers.WebdavConnection</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>WebdavConnection</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#webdavBuffer">webdavBuffer</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#WebdavConnection(java.lang.String, java.lang.String, java.lang.String, net.sf.jftp.net.ConnectionListener)">WebdavConnection</A></B>(java.lang.String&nbsp;path,
                 java.lang.String&nbsp;user,
                 java.lang.String&nbsp;pass,
                 <A HREF="../../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#addConnectionListener(net.sf.jftp.net.ConnectionListener)">addConnectionListener</A></B>(<A HREF="../../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add a ConnectionListener to be notified about progress and events.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#cdup()">cdup</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Go up one directory if possible.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#chdir(java.lang.String)">chdir</A></B>(java.lang.String&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Change dircetory and inform listeners.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#chdirNoRefresh(java.lang.String)">chdirNoRefresh</A></B>(java.lang.String&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Change directory, but do not trigger an event for the listeners.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#disconnect()">disconnect</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Teminates the connection if necessary.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#download(java.lang.String)">download</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiate a download in the same thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#fireDirectoryUpdate()">fireDirectoryUpdate</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;remote directory has changed</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#fireProgressUpdate(java.lang.String, java.lang.String, int)">fireProgressUpdate</A></B>(java.lang.String&nbsp;file,
                   java.lang.String&nbsp;type,
                   int&nbsp;bytes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.io.InputStream</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#getDownloadInputStream(java.lang.String)">getDownloadInputStream</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiate a download and return the content in form of an InputStream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#getLocalPath()">getLocalPath</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the path downloaded to.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#getPermissions()">getPermissions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get file/dir permissions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#getPWD()">getPWD</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the current working dir.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#handleDownload(java.lang.String)">handleDownload</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiate a download, possibly non-blocking and in a new thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#handleUpload(java.lang.String)">handleUpload</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiate an upload, possibly non-blocking and in a new thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#isConnected()">isConnected</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shows if the Connection is alive and initialized.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#list()">list</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perform any necessary actions so sortLs, sortSize and sortDates are up-to-date.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#login(java.lang.String, java.lang.String)">login</A></B>(java.lang.String&nbsp;user,
      java.lang.String&nbsp;pass)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#mkdir(java.lang.String)">mkdir</A></B>(java.lang.String&nbsp;dirName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#processPath(java.lang.String)">processPath</A></B>(java.lang.String&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#removeFileOrDir(java.lang.String)">removeFileOrDir</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Remove the given item, recursively if necessary.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#rename(java.lang.String, java.lang.String)">rename</A></B>(java.lang.String&nbsp;from,
       java.lang.String&nbsp;to)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Rename a file or directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#sendRawCommand(java.lang.String)">sendRawCommand</A></B>(java.lang.String&nbsp;cmd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Some Connections like FTP may allow raw command to be sent, use this method.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#setConnectionListeners(java.util.Vector)">setConnectionListeners</A></B>(java.util.Vector&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Remove a ConnectionListener.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#setLocalPath(java.lang.String)">setLocalPath</A></B>(java.lang.String&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the path downloded to.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Date[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#sortDates()">sortDates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get file dates.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#sortLs()">sortLs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get file and diretory names.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#sortSize()">sortSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get file sizes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#upload(java.lang.String)">upload</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiate an upload in the same thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html#upload(java.lang.String, java.io.InputStream)">upload</A></B>(java.lang.String&nbsp;file,
       java.io.InputStream&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiate a download in the same thread.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="webdavBuffer"><!-- --></A><H3>
webdavBuffer</H3>
<PRE>
public static int <B>webdavBuffer</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="WebdavConnection(java.lang.String, java.lang.String, java.lang.String, net.sf.jftp.net.ConnectionListener)"><!-- --></A><H3>
WebdavConnection</H3>
<PRE>
public <B>WebdavConnection</B>(java.lang.String&nbsp;path,
                        java.lang.String&nbsp;user,
                        java.lang.String&nbsp;pass,
                        <A HREF="../../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&nbsp;l)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="removeFileOrDir(java.lang.String)"><!-- --></A><H3>
removeFileOrDir</H3>
<PRE>
public int <B>removeFileOrDir</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#removeFileOrDir(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Remove the given item, recursively if necessary.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#removeFileOrDir(java.lang.String)">removeFileOrDir</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="sendRawCommand(java.lang.String)"><!-- --></A><H3>
sendRawCommand</H3>
<PRE>
public void <B>sendRawCommand</B>(java.lang.String&nbsp;cmd)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sendRawCommand(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Some Connections like FTP may allow raw command to be sent, use this method.
 
 Implementation is optional.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sendRawCommand(java.lang.String)">sendRawCommand</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="disconnect()"><!-- --></A><H3>
disconnect</H3>
<PRE>
public void <B>disconnect</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#disconnect()">BasicConnection</A></CODE></B></DD>
<DD>Teminates the connection if necessary.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#disconnect()">disconnect</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isConnected()"><!-- --></A><H3>
isConnected</H3>
<PRE>
public boolean <B>isConnected</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#isConnected()">BasicConnection</A></CODE></B></DD>
<DD>Shows if the Connection is alive and initialized.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#isConnected()">isConnected</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getPWD()"><!-- --></A><H3>
getPWD</H3>
<PRE>
public java.lang.String <B>getPWD</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getPWD()">BasicConnection</A></CODE></B></DD>
<DD>Get the current working dir.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getPWD()">getPWD</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="cdup()"><!-- --></A><H3>
cdup</H3>
<PRE>
public boolean <B>cdup</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#cdup()">BasicConnection</A></CODE></B></DD>
<DD>Go up one directory if possible.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#cdup()">cdup</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="mkdir(java.lang.String)"><!-- --></A><H3>
mkdir</H3>
<PRE>
public boolean <B>mkdir</B>(java.lang.String&nbsp;dirName)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#mkdir(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Create a new directory.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#mkdir(java.lang.String)">mkdir</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="list()"><!-- --></A><H3>
list</H3>
<PRE>
public void <B>list</B>()
          throws java.io.IOException</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#list()">BasicConnection</A></CODE></B></DD>
<DD>Perform any necessary actions so sortLs, sortSize and sortDates are up-to-date.
 
 Implementation is optional.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#list()">list</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="chdir(java.lang.String)"><!-- --></A><H3>
chdir</H3>
<PRE>
public boolean <B>chdir</B>(java.lang.String&nbsp;p)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#chdir(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Change dircetory and inform listeners.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#chdir(java.lang.String)">chdir</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="chdirNoRefresh(java.lang.String)"><!-- --></A><H3>
chdirNoRefresh</H3>
<PRE>
public boolean <B>chdirNoRefresh</B>(java.lang.String&nbsp;p)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#chdirNoRefresh(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Change directory, but do not trigger an event for the listeners.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#chdirNoRefresh(java.lang.String)">chdirNoRefresh</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getLocalPath()"><!-- --></A><H3>
getLocalPath</H3>
<PRE>
public java.lang.String <B>getLocalPath</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getLocalPath()">BasicConnection</A></CODE></B></DD>
<DD>Get the path downloaded to.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getLocalPath()">getLocalPath</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="processPath(java.lang.String)"><!-- --></A><H3>
processPath</H3>
<PRE>
public java.lang.String <B>processPath</B>(java.lang.String&nbsp;p)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setLocalPath(java.lang.String)"><!-- --></A><H3>
setLocalPath</H3>
<PRE>
public boolean <B>setLocalPath</B>(java.lang.String&nbsp;p)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#setLocalPath(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Set the path downloded to.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#setLocalPath(java.lang.String)">setLocalPath</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="sortLs()"><!-- --></A><H3>
sortLs</H3>
<PRE>
public java.lang.String[] <B>sortLs</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sortLs()">BasicConnection</A></CODE></B></DD>
<DD>Get file and diretory names.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sortLs()">sortLs</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="sortSize()"><!-- --></A><H3>
sortSize</H3>
<PRE>
public java.lang.String[] <B>sortSize</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sortSize()">BasicConnection</A></CODE></B></DD>
<DD>Get file sizes.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sortSize()">sortSize</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getPermissions()"><!-- --></A><H3>
getPermissions</H3>
<PRE>
public int[] <B>getPermissions</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getPermissions()">BasicConnection</A></CODE></B></DD>
<DD>Get file/dir permissions.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getPermissions()">getPermissions</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="handleDownload(java.lang.String)"><!-- --></A><H3>
handleDownload</H3>
<PRE>
public int <B>handleDownload</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#handleDownload(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Initiate a download, possibly non-blocking and in a new thread.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#handleDownload(java.lang.String)">handleDownload</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="handleUpload(java.lang.String)"><!-- --></A><H3>
handleUpload</H3>
<PRE>
public int <B>handleUpload</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#handleUpload(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Initiate an upload, possibly non-blocking and in a new thread.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#handleUpload(java.lang.String)">handleUpload</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="download(java.lang.String)"><!-- --></A><H3>
download</H3>
<PRE>
public int <B>download</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#download(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Initiate a download in the same thread.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#download(java.lang.String)">download</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="upload(java.lang.String)"><!-- --></A><H3>
upload</H3>
<PRE>
public int <B>upload</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#upload(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Initiate an upload in the same thread.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#upload(java.lang.String)">upload</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="upload(java.lang.String, java.io.InputStream)"><!-- --></A><H3>
upload</H3>
<PRE>
public int <B>upload</B>(java.lang.String&nbsp;file,
                  java.io.InputStream&nbsp;in)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#upload(java.lang.String, java.io.InputStream)">BasicConnection</A></CODE></B></DD>
<DD>Initiate a download in the same thread.
 
 The InptuStream provides the date, file the remote file name.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#upload(java.lang.String, java.io.InputStream)">upload</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getDownloadInputStream(java.lang.String)"><!-- --></A><H3>
getDownloadInputStream</H3>
<PRE>
public java.io.InputStream <B>getDownloadInputStream</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getDownloadInputStream(java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Initiate a download and return the content in form of an InputStream.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#getDownloadInputStream(java.lang.String)">getDownloadInputStream</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="addConnectionListener(net.sf.jftp.net.ConnectionListener)"><!-- --></A><H3>
addConnectionListener</H3>
<PRE>
public void <B>addConnectionListener</B>(<A HREF="../../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&nbsp;l)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#addConnectionListener(net.sf.jftp.net.ConnectionListener)">BasicConnection</A></CODE></B></DD>
<DD>Add a ConnectionListener to be notified about progress and events.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#addConnectionListener(net.sf.jftp.net.ConnectionListener)">addConnectionListener</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setConnectionListeners(java.util.Vector)"><!-- --></A><H3>
setConnectionListeners</H3>
<PRE>
public void <B>setConnectionListeners</B>(java.util.Vector&nbsp;l)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#setConnectionListeners(java.util.Vector)">BasicConnection</A></CODE></B></DD>
<DD>Remove a ConnectionListener.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#setConnectionListeners(java.util.Vector)">setConnectionListeners</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fireDirectoryUpdate()"><!-- --></A><H3>
fireDirectoryUpdate</H3>
<PRE>
public void <B>fireDirectoryUpdate</B>()</PRE>
<DL>
<DD>remote directory has changed
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="login(java.lang.String, java.lang.String)"><!-- --></A><H3>
login</H3>
<PRE>
public boolean <B>login</B>(java.lang.String&nbsp;user,
                     java.lang.String&nbsp;pass)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fireProgressUpdate(java.lang.String, java.lang.String, int)"><!-- --></A><H3>
fireProgressUpdate</H3>
<PRE>
public void <B>fireProgressUpdate</B>(java.lang.String&nbsp;file,
                               java.lang.String&nbsp;type,
                               int&nbsp;bytes)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sortDates()"><!-- --></A><H3>
sortDates</H3>
<PRE>
public java.util.Date[] <B>sortDates</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sortDates()">BasicConnection</A></CODE></B></DD>
<DD>Get file dates.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#sortDates()">sortDates</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="rename(java.lang.String, java.lang.String)"><!-- --></A><H3>
rename</H3>
<PRE>
public boolean <B>rename</B>(java.lang.String&nbsp;from,
                      java.lang.String&nbsp;to)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#rename(java.lang.String, java.lang.String)">BasicConnection</A></CODE></B></DD>
<DD>Rename a file or directory.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html#rename(java.lang.String, java.lang.String)">rename</A></CODE> in interface <CODE><A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../net/sf/jftp/net/wrappers/StartConnection.html" title="class in net.sf.jftp.net.wrappers"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?net/sf/jftp/net/wrappers/WebdavConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WebdavConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
